port: 7890
socks-port: 7891
allow-lan: false
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
experimental:
  ignore-resolve-fail: true
hosts:
  mtalk.google.com: 108.177.125.188
proxies:
- name: v2ray
  type: vmess
  server: config.canondin.cn
  port: 33626
  uuid: 7c867a48-ed8d-4d7e-e79c-b5f3ae0f8dc6
  alterId: 0
  cipher: auto
  tls: false
  udp: true
  network: ws
  ws-path: /
- name: trojan
  type: trojan
  server: config.canondin.cn
  port: 27549
  password: 7c867a48-ed8d-4d7e-e79c-b5f3ae0f8dc6
  udp: true
  sni: config.canondin.cn
proxy-groups:
- name: "\u81EA\u52A8\u9009\u62E9\u5FEB\u901F\u8282\u70B9"
  type: url-test
  proxies:
  - v2ray
  - trojan
  url: http://www.gstatic.com/generate_204
  interval: 300
- name: PROXY
  type: select
  proxies:
  - "\u81EA\u52A8\u9009\u62E9\u5FEB\u901F\u8282\u70B9"
  - v2ray
  - trojan
- name: Final
  type: select
  proxies:
  - DIRECT
  - PROXY
- name: Apple
  type: select
  proxies:
  - DIRECT
  - PROXY
- name: GlobalMedia
  type: select
  proxies:
  - PROXY
  - v2ray
  - trojan
- name: HKMTMedia
  type: select
  proxies:
  - DIRECT
  - v2ray
  - trojan
rule-providers:
  reject:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt
    path: ./ruleset/reject.yaml
    interval: 86400
  icloud:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt
    path: ./ruleset/icloud.yaml
    interval: 86400
  apple:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt
    path: ./ruleset/apple.yaml
    interval: 86400
  google:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt
    path: ./ruleset/google.yaml
    interval: 86400
  proxy:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt
    path: ./ruleset/proxy.yaml
    interval: 86400
  direct:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt
    path: ./ruleset/direct.yaml
    interval: 86400
  private:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt
    path: ./ruleset/private.yaml
    interval: 86400
  gfw:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt
    path: ./ruleset/gfw.yaml
    interval: 86400
  tld-not-cn:
    type: http
    behavior: domain
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400
  telegramcidr:
    type: http
    behavior: ipcidr
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt
    path: ./ruleset/telegramcidr.yaml
    interval: 86400
  cncidr:
    type: http
    behavior: ipcidr
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt
    path: ./ruleset/cncidr.yaml
    interval: 86400
  lancidr:
    type: http
    behavior: ipcidr
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt
    path: ./ruleset/lancidr.yaml
    interval: 86400
  applications:
    type: http
    behavior: classical
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/applications.txt
    path: ./ruleset/applications.yaml
    interval: 86400
rules:
- DOMAIN-SUFFIX,docker.com,PROXY
- DOMAIN-SUFFIX,servyou-it.com,DIRECT
- DOMAIN-SUFFIX,openai.com,PROXY
- DOMAIN-SUFFIX,outlook.live.com,PROXY
- DOMAIN-SUFFIX,netflav.com,PROXY
- DOMAIN-SUFFIX,brew.sh,PROXY
- DOMAIN-SUFFIX,v2rayssr.com,PROXY
- DOMAIN-SUFFIX,deepl.com,PROXY
- RULE-SET,applications,DIRECT
- DOMAIN,clash.razord.top,DIRECT
- DOMAIN,yacd.haishan.me,DIRECT
- RULE-SET,private,DIRECT
- RULE-SET,reject,REJECT
- RULE-SET,icloud,DIRECT
- RULE-SET,apple,DIRECT
- RULE-SET,google,PROXY
- RULE-SET,proxy,PROXY
- RULE-SET,direct,DIRECT
- RULE-SET,lancidr,DIRECT
- RULE-SET,cncidr,DIRECT
- RULE-SET,telegramcidr,PROXY
- GEOIP,LAN,DIRECT
- GEOIP,CN,DIRECT
- MATCH,PROXY
